Skip to main content
POST
Save Bloomerang constituent-to-donor mapping

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

connection_id
integer
required

Connection id in the current organization.

Body

application/json

Validated request fields for this operation.

hysform_id
integer
required

Hysform id. Validation: required, integer.

Example:

1

field_mappings
object[]
required

Field mappings. Validation: required, array.

source_of_truth
enum<string> | null

Source of truth. Validation: nullable; allowed values: provider, hys, bidirectional.

Available options:
provider,
hys,
bidirectional,
null
Example:

"provider"

allow_email_match
boolean | null

Allow email match. Validation: nullable, boolean.

Example:

true

historical_backfill_mode
boolean | null

Historical backfill mode. Validation: nullable, boolean.

Example:

true

allow_bloomerang_constituent_creation
boolean | null

Allow bloomerang constituent creation. Validation: nullable, boolean.

Example:

true

allow_same_email_constituent_retry_adoption
boolean | null

Allow same email constituent retry adoption. Validation: nullable, boolean.

Example:

true

relationship_manager_sync_enabled
boolean | null

Relationship manager sync enabled. Validation: nullable, boolean.

Example:

true

relationship_manager_field_path
string | null

Relationship manager field path. Validation: nullable, string, max:191.

Maximum string length: 191
Example:

"Relationship Manager Field Path"

Response

Operation result.

status
string
Example:

"success"

data
object

Group disable returns mapping=null. Interaction setup returns mapping as first newly approved version (or null), plus the complete mappings array. Other saves return mapping only.

message
string

Operation receipt.

Example:

"Example"